import {getTexture} from './utils'
import {props} from "../props";
export default class TestView extends engine.Container{
    turntableImage:engine.Image = null;
    pointerImage:engine.Image = null;
    count:number = 0;
    result:number = 0;
    rect:engine.Rect = null;
    angleArr:number[] = [];//当转盘不为规整的转盘时每个奖品所对应的角度数组（角度制）
    offsetAngle:number = 0;

    Engine = Matter.Engine;
    World = Matter.World;
    Bodies = Matter.Bodies;
    Body = Matter.Body;
    constructor(){
        super()
        this.addEventListener(engine.Event.ADDED_TO_STAGE, this.setup, this);
    }

    setup(){
        var that = this;
    }

    addEvnt(){
    }
}